Sabnzbd Plugin install error

  • hey guys, just registred to post here in this tread.


    im also new to omv, and got same problems wiht installing sabnzb.



    tried everthing whats posted here. 1.0.8 dont work.


    updating via posted 1.0.7 patch also dont work always the same error


    Code
    root@openmediavault:~# dpkg -i openmediavault-sabnzbd\[version_patch\]_1.0.7_all.deb
    dpkg: Warnung: Version 1.0.8 des Paketes openmediavault-sabnzbd wird durch ältere Version 1.0.7 ersetzt(Lese Datenbank ... 35778 Dateien und Verzeichnisse sind derzeit installiert.)Vorbereitung zum Ersetzen von openmediavault-sabnzbd 1.0.8 (durch openmediavault-sabnzbd[version_patch]_1.0.7_all.deb) ...Ersatz für openmediavault-sabnzbd wird entpackt ...openmediavault-sabnzbd (1.0.7) wird eingerichtet ...sabnzbd user already exists.cp: angegebenes Ziel â/opt/SABnzbd/â ist kein Verzeichnisdpkg: Fehler beim Bearbeiten von openmediavault-sabnzbd (--install):Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurückTrigger für openmediavault werden verarbeitet ...Restarting engine daemon ...Fehler traten auf beim Bearbeiten von:openmediavault-sabnzbd


    how did you get this working?


    Thanks for help!

  • The plugin with new corrected postinst is in downloaders testing repo


    I just want to get his straight from my perspective.


    I have Sabnzdb installed, .7 whatever version. I want to upgrade. Exactly what are the steps I need to go through? I see the upgrade button in OMV and I see the 1.0 package in the repo. Since you updated the repo, will hitting "upgrade" on my current install work? Or do I need to go the wget method to upgrade? Or do I hit the "upgrade" button, see the errors, then run the wget method to correct postint.


    And then are my settings imported or do I have to restore them from backup or do I have to go through the motions of configuring everything again?

  • I just want to get his straight from my perspective.


    I have Sabnzdb installed, .7 whatever version. I want to upgrade. Exactly what are the steps I need to go through? I see the upgrade button in OMV and I see the 1.0 package in the repo. Since you updated the repo, will hitting "upgrade" on my current install work? Or do I need to go the wget method to upgrade? Or do I hit the "upgrade" button, see the errors, then run the wget method to correct postint.


    And then are my settings imported or do I have to restore them from backup or do I have to go through the motions of configuring everything again?


    also wanting to know this info. if it requires more work then just hitting the update button in the omv gui is there step by steps on how to resolve, i currently already have sabz installed i did try a upgrade when it first flagged but somthing went wrong and i had to reboot the server to get it to come back on but it was still the old version, since then i haven't tried till i hear it works.

    OMV 5 - 64 bit
    Dell T430, 16gb Ram, 5 x 3TB HDD Raid5, 1 x 120GB 2.5" SSD (OS)

  • Updating the plugin does not update sabnzbd. If the plugin is fresh installed then it will install latest 1.0.


    sabnzbd folder is at /opt so I i understand you need to replace the sabnzbd folder with latest to upgrade. You need to keep the same name, so stop the service, backup the folder unpack the new sabnzbd, rename and start the service. I assume settings are stored in home folder or similar so they should persist.


    @jhmiller can confirm

  • Would a full uninstall and fresh install using the plugin be the most straightforward method? I'm not overly concerned with reconfiguring.


    I'm not entirely confident in my ability to keep myself from having a brain-lapse while moving things around.

  • my install of sabz is from the plugin but not recent, from when i reinstalled version 2 of omv. normally you go to the sabz menu in the omv web gui and can press the update button whena update is out and it normaly updates this time it doesnt.


    sorry your instructions may sound simple but my linux knoledge is basic and i think some people forget this should just be a easy to use nas os solution. if you had to start messing in cli with synology or western digitals version of nas software no one would buy them.


    ps sorry for the rant.

    OMV 5 - 64 bit
    Dell T430, 16gb Ram, 5 x 3TB HDD Raid5, 1 x 120GB 2.5" SSD (OS)

  • Try this


    stop the service, then all commands as root


    Code
    mv /opt/sabnzbd /opt/sabnzbd_old
    wget -q -nv http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/1.0.0/SABnzbd-1.0.0-src.tar.gz -O /tmp/sabnzbdplus.tar.gz
    tar xzf /tmp/sabnzbdplus.tar.gz -C /opt/
    mv /opt/SABnzbd-1.0.0 /opt/sabnzbd
    chown -R /opt/sabnzbd


    Then start the service

  • is @jhmiller around to confirm how this should be updated. as far as am aware the whole point in the plugin version was so we didnt have to do command line to get it updated it should be as simple as going to the sabnzbd link on the left in the omv webgui and clicking the update button.

    OMV 5 - 64 bit
    Dell T430, 16gb Ram, 5 x 3TB HDD Raid5, 1 x 120GB 2.5" SSD (OS)

  • I have fixed the issue with the next version ( 1.0.9)
    wget was used to retrieve the version info, this stopped working correctly when they switched from http to https :(


    For the life of me i can not figure out how to release this as a upgrade package. The old way i used to do it no longer works. So if another kind dev would be good enough to add this new version to the repo i would be greatfull ;)

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!